Skip to main content
curl --request POST \ --url https://whitebit.com/api/v4/main-account/fiat-deposit-url \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --header 'X-TXC-PAYLOAD: <api-key>' \ --header 'X-TXC-SIGNATURE: <api-key>' \ --data ' { "ticker": "UAH", "provider": "VISAMASTER", "amount": "100", "uniqueId": "{{generateID}}", "request": "{{request}}", "nonce": 1594297865000 } '
{
  "url": "https://someaddress.com"
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
ticker
string
required

Currency's ticker (fiat). ⚠️ Currencies ticker should be fiat and has "can_deposit" status must be "true". Use Asset Status endpoint to know more about currency.

Example:

"UAH"

provider
string
required

Fiat currency provider. ⚠️ Currency provider should be taken from Asset Status endpoint response.

Example:

"VISAMASTER"

amount
string
required

Deposit amount

Example:

"100"

uniqueId
string
required

Unique transaction identifier on client's side. Any string up to 255 characters; not validated as a UUID.

Example:

"qw22"

request
string
required

Request signature

Example:

"{{request}}"

nonce
integer
required

Unique request identifier

Example:

1594297865000

customer
object

Customer information (required for USD/EUR with VISAMASTER provider)

Customer will be redirected to this URL by acquiring provider after success deposit. To activate this feature, please contact support

Example:

"https://success.example.com"

Customer will be redirected to this URL in case of fail or rejection on acquiring provider side. To activate this feature, please contact support

Example:

"https://failure.example.com"

Customer will be redirected to the URL defined if selects 'back' option after from the payment success or failure page. To activate this feature, define desired link. If not populated, option 'back' won't be displayed

Example:

"https://return.example.com"

Response

Successful response

url
string

Address for deposit